# Interface DocTypeTree

All Superinterfaces:
  `DocTree`

public interface DocTypeTree extends DocTree
A tree node for a `doctype` declaration.

       <!doctype text>

For HTML5 documents, the correct form is `<!doctype html>`.

Since:
  10

- ## Nested Class Summary

  ### Nested classes/interfaces declared in interface DocTree

  `DocTree.Kind`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getText()`
  Returns the text of the doctype declaration.

  ### Methods declared in interface DocTree

  `accept, getKind`

- ## Method Details

  - ### getText

    String getText()
    Returns the text of the doctype declaration.
    Returns:
      text